package dev_services

import (
	"cpone/db"
	"cpone/models"
)

type DetailMcuServices struct {
	DetailMcuStore db.AppStore
}

func NewDetailMcuServices(uStore db.AppStore) *DetailMcuServices {
	return &DetailMcuServices{
		DetailMcuStore: uStore,
	}
}

func (dmcu *DetailMcuServices) GetBreadcrumb(title string) (models.BreadCrumbV1, error) {
	breadcrumb := models.BreadCrumbV1{
		Title: title,
		Item: []models.ItemBreadCrumbV1{
			{
				Item: "Dashboard",
				Url:  "/dev/dashboard",
			},
			{
				Item: "Employee Health Medical Analytic",
				Url:  "/dev/employeeanalytic/",
			},
			{
				Item: title,
				Url:  "",
			},
		},
	}
	return breadcrumb, nil
}
